var csPageOptions = {
  domain_key: CLOUDSPONGE_KEY, 
  textarea_id:"contact_list",
  cache_contacts : false,
  include:['name','email'],   
  afterSubmitContacts: function(contacts, source, owner) {
	    // contacts array is a set of objects that each may have an address property that
	    // is an array of mailing addresses if the contact has 1 or more mailing addresses 
	    // and is undefined or null if the contact has 0 mailing addresses
	   
	    // inspect the contact's name, email
	    var i, contact, name, email, mail=" ";
	    for (i = 0; i < contacts.length; i++) {
	        contact = contacts[i];
	        name = contact.fullName();
	        email = contact.selectedEmail();	      	        
	        mail = mail + "," + email;	      
//	        $('#contact_list1').show();
//	        $('#btnImport').show();
//	        $('#contact_list').show();
//	        $('#checkbox').show();
	        $('.invite_contacts_list').show();
	        //$('#invite_contacts_list').removeClass("loader");
	   //   $('#contact_list1').append(email+"<br>");	      
	    //  $('#contact_list1').append(name +" < "+ email + " > " +"<br>");
	      $('#checkbox').append('<input type="checkbox" name="contacts_check[]" id="contacts_check'+i+'" checked value="'+ email +'"/> ' + name +" < "+ email + " > " + '<br />');
	   //   alert(email);
	    }
	    
	    $('#contact_email').val(mail);	
	    $(document).delay(1000);	    
	  }
};
$(document).ready(function(){
//	$('.invite_contacts_list').hide();
	
//$('#btnImport').hide();
//$('#contact_list1').hide();
//$('#contact_list').hide();
//$('#checkbox').hide();
//$("#loader").hide();

$('#btnImport').live("click",function(){	
	 var contact_email      = $("#contact_email").val();
     var contact_list       = $("#contact_list").val();  
     var btnImport          = $("#btnImport").val();
	 var contact_type      = $("#contact_type").val();
	 var contact_typeid      = $("#contact_typeid").val();
     var contacts_check = '';     
     $("#loader").show();
     //alert(contact_typeid);
     //alert(contact_type);
     var count = $("input[type='checkbox']").length;     
     for(i=0;i<count;i++){
 	   if($('#contacts_check'+i).is(":checked")){
               if(contacts_check!=''){
                   contacts_check +=  "," + $('#contacts_check'+i).val();
               }
               else{
                  contacts_check = $('#contacts_check'+i).val(); 
               }
 	      
 	    }
     }
     var dataString          = 'contact_email='+ contact_email +'&contact_list='+contact_list+'&contacts_check='+contacts_check+'&btnImport='+btnImport;   
     $.ajax({
         type    : "POST",
         dataType: 'json',
         url     : mainUrl+"index/invite/"+contact_type+"/"+contact_typeid,
         data    : dataString,
         cache   : false,
         success : function(data){
        	// alert(data);
             $('#msgDisplay1').html(data.msg);
             $('#msgDisplay1').addClass(data.cls);
             $('.invite_contacts_list').hide();
//        	 $('#btnImport').hide();
// 	        $('#contact_list').hide();
 	       $('#checkbox').html(" "); 	      
// 	       $('#contact_list1').hide(); 	      
// 	        $('#checkbox').hide();
                $("#loader").hide();
         }
     });
     return false;
});

$('#jEmailFriendRequest').live("click",function(){
//	 var contact_email      = $("#contact_email").val();
//     var contact_list       = $("#contact_list").val();  
//     var btnImport          = $("#btnImport").val();
//	 var contact_type      = $("#contact_type").val();
	 var contact_typeid      = $(this).attr('uid');
//     var contacts_check = ' ';     
     $("#loader").show();
     //alert(contact_typeid);
     //alert(contact_type);
//     var count = $("input[type='checkbox']").length;     
//     for(i=0;i<count;i++){
// 	   if($('#contacts_check'+i).is(":checked")){
// 	      contacts_check = contacts_check + "," + $('#contacts_check'+i).val();
// 	    }
//     }  
//    if($('#txtmailids').val()==''){
//      var contacts_check  = $('#txtmailids').val();  
//    }
//    else{
//       var contacts_check  = $('#txtmailids').val()+','; 
//    }
     var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
//alert($('#txtmailids').val());
    if($('#txtmailids').val()==''){
      var contacts_check  = $('#txtmailids').val();  
       var x = re.test(contacts_check);
     //  alert(x);exit;
     if(x == false){
            $('#msgDisplay1').show();
            $('#msgDisplay1').removeClass('success_div');
            $('#msgDisplay1').html('Invalid mail address');
            $('#msgDisplay1').addClass('error_div');
            setTimeout(function() {	$('#msgDisplay1').fadeOut('fast');
				}, 3000);
         return false;
     }
    }
    else{
       var contacts_check  = $('#txtmailids').val()+','; 
       
        var data = contacts_check.split(",");
        //alert(data);
    for(var i= 0 ; i< data.length; i++){ 
        if(data[i] != ''){
           var x = re.test(data[i]);
   
     if(x == false){
            $('#msgDisplay1').show();
            $('#msgDisplay1').removeClass('success_div');
            $('#msgDisplay1').html('Invalid mail address');
            $('#msgDisplay1').addClass('error_div');
            setTimeout(function() {	$('#msgDisplay1').fadeOut('fast');
				}, 3000);
         return false;
     }
 }
    }
    }
     
    var dataString          = 'contacts_check='+contacts_check;
     
     $.ajax({
         type    : "POST",
         dataType: 'json',
         url     : mainUrl+"index/inviteFriendsthroughMail/user/"+contact_typeid,
         data    : dataString,
         cache   : false,
         success : function(data){
        	// alert(data);
                $('#msgDisplay1').show();
             $('#msgDisplay1').html(data.msg);
             $('#msgDisplay1').addClass(data.cls);
             $('.invite_contacts_list').hide();
            
//        	 $('#btnImport').hide();
// 	        $('#contact_list').hide();
 	       $('#checkbox').html(" "); 	      
// 	       $('#contact_list1').hide(); 	      
// 	        $('#checkbox').hide();
                $("#loader").hide();
                setTimeout(function() {	$('#msgDisplay1').fadeOut('fast');
				}, 5000);
                                // $("#jDivEmail").hide();
         }
     });
     return false;
});

});
